#include "device.h"
#include "system.h"

void PWMInit();

int main()
{
  //System Init
  SystemInit();
  
  //PWM Init
  PWMInit();
  
  //wait
  while(1)
  {
    asm("NOP;");
    asm("NOP;");
  }
  
  return 0;
}

void PWMInit()
{  	
        *pREG_PORTF_FER_SET = BITM_PORT_FER_PX6;
        *pREG_PORTF_MUX |= (1 << BITP_PORT_MUX_MUX6) & BITM_PORT_MUX_MUX6; 
  
        *pREG_TIMER1_RUN_CLR = BITM_TIMER_RUN_SET_TMR05 ;
   	*pREG_TRU1_GCTL  = ((1 << BITP_TRU_GCTL_EN) & BITM_TRU_GCTL_EN);
               
	*pREG_TIMER1_TMR5_CFG =(ENUM_TIMER_TMR_CFG_IRQMODE3 |
				ENUM_TIMER_TMR_CFG_POS_EDGE |
				ENUM_TIMER_TMR_CFG_PADOUT_EN | 
				ENUM_TIMER_TMR_CFG_PWMCONT_MODE);
        
	*pREG_TIMER1_TMR5_WID = 250;
	*pREG_TIMER1_TMR5_PER = 500;	
	*pREG_TIMER1_TRG_MSK  &= ~(BITM_TIMER_TRG_MSK_TMR05);
        *pREG_TIMER1_STOP_CFG_SET = (BITM_TIMER_STOP_CFG_TMR05 );	        

        *pREG_TIMER1_RUN_SET = (BITM_TIMER_STOP_CFG_TMR05);
     
}